Subject: Re: [Raw] Second pass: Rocco's comments on draft-ietf-raw-technologies-02 [WAS: Comments on section 4 in draft-ietf-raw-technologies-02]

From: Janos Farkas <[email-masked]>
Date: Fri, 5 Nov 2021 21:19:12 +0000

Hi,

Coming back to this subject.

I'd like to make it clear that I would like to see the work of the WG progressing, including the technologies draft with each technology in it. All I was asking about is some guideline that can help us closing open items.

Regards,
Janos

From: RAW <[email-masked]> On Behalf Of Janos Farkas
Sent: Friday, August 27, 2021 3:35 PM
To: Pascal Thubert ([email-masked]) <[email-masked]>; [email-masked]
Subject: Re: [Raw] Second pass: Rocco's comments on draft-ietf-raw-technologies-02 [WAS: Comments on section 4 in draft-ietf-raw-technologies-02]

Hi,

From: RAW <[email-masked]<mailto:[email-masked]>> On Behalf Of Pascal Thubert (pthubert)
Sent: Tuesday, August 24, 2021 2:52 PM
To: Rocco Di Taranto <rocco.di.taranto=[email-masked]<mailto:rocco.di.taranto=[email-masked]>>; Dave Cavalcanti <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [Raw] Second pass: Rocco's comments on draft-ietf-raw-technologies-02 [WAS: Comments on section 4 in draft-ietf-raw-technologies-02]

Hello Rocco:

[Rocco 2021-08-24 outstanding comment 2]

Even if it may have been demonstrated in some of the references with 802.11ac and 802.11ax that existing 802.1Qbv and 802.1CB can already work over 802.11, I propose to remove the sentence because 802.1Qbv and 802.1CB have not been formally incorporated in any published standard or amendment related to 802.11. In my understanding, it is with custom/ proprietary implementations that related features may be realized. Therefore, as the intention of this RAW document is to describe capabilities as defined by standards, it is not relevant to highlight that "802.1Qbv and 802.1CB can operate over 802.11" in this document.
PT> I disagree on that one, I mean the objective of the doc is not to make a summary of the standards but to focus on what is in place, what's possible and what's coming to provide L2 services that RAW can leverage to provide high availability and reliability. The "can do" by a layer above are as interesting as the standardized features inside the layer. As long as there is no ambiguity for the reader what's in the .11 standard and what's experimental.

Well, I am not sure.
Perhaps it would be useful to have clarifications on the view from the WG on what goes into our documents. Just purely thinking about principles here, not any particular technology.

My experience in SDOs has been that what is referred to as available technology is what is there in published standards.
(Not what is there in (individual) contributions, ongoing projects, labs, or proprietary solutions. Before the publication of a document, there is often a checkpoint on references, where ongoing work, i.e., draft standards get removed and only published standards remain because ongoing work is not a stable reference as it may take different direction and so on.)

I may be biased with this experience, but my read of Dave's point:
"It's about available capabilities and standards." in https://mailarchive.ietf.org/arch/msg/raw/5idNxm5L_VjNcCUkuh76_bKErCE/ is that it makes a somewhat similar point.
In order to claim a capability available, it has to be available in a published standard. Otherwise, multi-vendor interoperable solution/deployment is not possible/available.

I'd be glad for the view from the WG on this.

Regards,
Janos